<?php
// $Id: template.php,v 1.20.2.3 2010/07/01 14:45:18 jarek Exp $

/**
 * Initialize theme settings.
 */
if (is_null(theme_get_setting('copyright_information'))) {
  global $theme_key;
  // Save default theme settings
  $defaults = array(
    'copyright_information' => '© 2010 Your Name',
  );

  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge(theme_get_settings($theme_key), $defaults)
  );
  // Force refresh of Drupal internals
  theme_get_setting('', TRUE);
}

function corolla_preprocess_page(&$vars, $hook) {
  // Remove useless "no-sidebars" class from $body_classes variable
  if (preg_match("/no-sidebars/i", $vars['body_classes']) == true) {
    $vars['body_classes'] = str_replace('no-sidebars', '', $vars['body_classes']);
  }

  // Add $layout_classes variable
  if ( !empty($vars['sidebar_first']) && !empty($vars['sidebar_second']) ) {
    $vars['classes_array'][] = 'two-sidebars';
  }
  elseif ( !empty($vars['sidebar_first']) || !empty($vars['sidebar_second']) ) {
    $vars['classes_array'][] = 'one-sidebar';
  }
  else {
    $vars['classes_array'][] = 'no-sidebars';
  }
  $vars['layout_classes'] = implode(' ', $vars['classes_array']);
}

/**
 * Overrides theme_more_link().
 */
function corolla_more_link($url, $title) {
  return '<div class="more-link">'. t('<a href="@link" title="@title">more ›</a>', array('@link' => check_url($url), '@title' => $title)) .'</div>';
}

/**
 * Overrides theme_tablesort_indicator().
 */
function corolla_tablesort_indicator($style) {
  if ($style == "asc") {
    return theme('image', path_to_theme() . '/images/tablesort-ascending.png', t('sort icon'), t('sort ascending'));
  }
  else {
    return theme('image', path_to_theme() . '/images/tablesort-descending.png', t('sort icon'), t('sort descending'));
  }
}


